Page MenuHomePhabricator

Upgrade WebdriverIO in the WikibaseMediaInfo repository
Closed, ResolvedPublic

Description

  • Update to v5
  • Update to v6

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2020, 8:24 PM

There's a problem with installing v4 dependencies.

~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ node -v
v10.21.0

~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ npm -v
6.14.4
~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ npm ci

> chromedriver@2.46.0 install /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/chromedriver
> node install.js

Current existing ChromeDriver binary is unavailable, proceding with download and extraction.
Downloading from file:  https://chromedriver.storage.googleapis.com/2.46/chromedriver_mac64.zip
Saving to file: /var/folders/lp/_zdbscx92l14yr1q1nwjzslm0000gn/T/2.46/chromedriver/chromedriver_mac64.zip
Received 781K...
Received 1568K...
Received 2352K...
Received 3136K...
Received 3920K...
Received 4704K...
Received 5488K...
Received 6272K...
Received 6891K total.
Extracting zip contents
Copying to target path /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/chromedriver/lib/chromedriver
Fixing file permissions
Done. ChromeDriver binary available at /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/chromedriver/lib/chromedriver/chromedriver

> core-js@2.6.11 postinstall /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/core-js
> node -e "try{require('./postinstall')}catch(e){}"

Thank you for using core-js ( https://github.com/zloirock/core-js ) for polyfilling JavaScript standard library!

The project needs your help! Please consider supporting of core-js on Open Collective or Patreon: 
> https://opencollective.com/core-js 
> https://www.patreon.com/zloirock 

Also, the author of core-js ( https://github.com/zloirock ) is looking for a good job -)


> fibers@3.1.1 install /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo/node_modules/fibers
> node build.js || nodejs build.js

`darwin-x64-64` exists; testing
Binary is fine; exiting
npm ERR! Cannot read property 'length' of undefined

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/z/.npm/_logs/2020-06-09T16_30_50_125Z-debug.log
zeljkofilipin added a comment.EditedJun 9 2020, 4:44 PM
~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ rm package-lock.json 

~/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo$ npm i

> undefined install /Users/z/Documents/gerrit/mediawiki/core/extensions/WikibaseMediaInfo
> rm -rf node_modules/mediawiki && git clone -q https://gerrit.wikimedia.org/r/mediawiki/core node_modules/mediawiki

...

From package.json

{
	"private": true,
	"scripts": {
...
		"install": "rm -rf node_modules/mediawiki && git clone -q https://gerrit.wikimedia.org/r/mediawiki/core node_modules/mediawiki"
	},
...

WikibaseMediaInfo is installing mediawiki/core in node_modules/mediawiki. git clone -q is --quiet, so there's no progress, and it's a big repo, so install looks like it's stuck.

Change 605305 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: Update to WebdriverIO v5

https://gerrit.wikimedia.org/r/605305

Change 605305 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: Update to WebdriverIO v5

https://gerrit.wikimedia.org/r/605305

Change 605986 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: Update to WebdriverIO v6

https://gerrit.wikimedia.org/r/605986

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from Backlog to In Progress on the User-Vidhi-Mody board.
zeljkofilipin removed Vidhi-Mody as the assignee of this task.Jun 19 2020, 1:38 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin moved this task from In Progress to Waiting/Blocked on the User-Vidhi-Mody board.

Change 605986 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Selenium: Update to WebdriverIO v6

https://gerrit.wikimedia.org/r/605986

zeljkofilipin closed this task as Resolved.Jun 23 2020, 10:35 AM
zeljkofilipin claimed this task.
zeljkofilipin updated the task description. (Show Details)